| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# HistogramPersistencySvc.cpp File Reference

`#include "GaudiKernel/SmartIF.h"`
`#include "GaudiKernel/MsgStream.h"`
`#include "GaudiKernel/SvcFactory.h"`
`#include "GaudiKernel/ISvcLocator.h"`
`#include "GaudiKernel/IJobOptionsSvc.h"`
`#include "GaudiKernel/DataObject.h"`
`#include "GaudiKernel/IRegistry.h"`
`#include "HistogramPersistencySvc.h"`
`#include "AIDA/IBaseHistogram.h"`

Include dependency graph for HistogramPersistencySvc.cpp:

Go to the source code of this file.

## Defines
#define | PERSISTENCYSVC_HISTOGRAMPERSISTENCYSVC_CPP
## Functions
bool | match (const std::string &name, const std::string &pat)
| check the match of the full name and the pattern
const std::string & | oname (const DataObject *obj)
| get the ful name of data object
bool | match (const DataObject *obj, const std::string &pat)
| check the match of the full name of data object with the pattern
## Variables
const std::string | s_NULL = "<NULL>"
| invalid name

## Define Documentation

#define PERSISTENCYSVC_HISTOGRAMPERSISTENCYSVC_CPP

Definition at line 21 of file HistogramPersistencySvc.cpp.

## Function Documentation

bool @617::match | ( | const DataObject * | obj,
|  | const std::string & | pat |
| ) |  |  | `[inline, static]`

check the match of the full name of data object with the pattern

Parameters:

  | obj | the object
  | pat | the pattern

Author:
  Vanya BELYAEV Ivan.Belyaev@nikhef.nl

Definition at line 187 of file HistogramPersistencySvc.cpp.

References match(), and oname().

    00189   {
    00190     if ( 0 == obj ) { return false ; }
    00191     return match ( oname ( obj ) , pat ) ;
    00192   }

bool @617::match | ( | const std::string & | name,
|  | const std::string & | pat |
| ) |  |  | `[inline, static]`

check the match of the full name and the pattern

Parameters:

  | obj | the object
  | pat | the pattern

Author:
  Vanya BELYAEV Ivan.Belyaev@nikhef.nl

Definition at line 164 of file HistogramPersistencySvc.cpp.

References std::basic_string< _CharT, _Traits, _Alloc >::find(), name, and std::basic_string< _CharT, _Traits, _Alloc >::npos.

Referenced by HistogramPersistencySvc::createRep(), match(), and HistorySvc::registerDataHistory().

    00166   {
    00167     // the most primitive match
    00168     return std::string::npos != name.find ( pat );
    00169   }

const std::string& @617::oname | ( | const DataObject * | obj | ) | `[inline, static]`

get the ful name of data object

Parameters:

  | obj | the object

Returns:
  the full name

Definition at line 175 of file HistogramPersistencySvc.cpp.

References name, DataObject::registry(), and s_NULL.

Referenced by RootHistCnv::RFileCnv::createObj(), HbookCnv::HFileCnv::createObj(), PoolDbDatabaseCnv::createObj(), HistogramPersistencySvc::createRep(), match(), and HbookCnv::HFileCnv::updateRep().

    00176   {
    00177     if ( 0 == obj ) { return s_NULL ; }
    00178     const IRegistry* reg = obj->registry() ;
    00179     return ( 0 == reg ) ? obj -> name () : reg -> identifier () ;
    00180   }

## Variable Documentation

const std::string s_NULL = "<NULL>"`[static]`

invalid name

Definition at line 155 of file HistogramPersistencySvc.cpp.

Referenced by oname().